const Me = imports.misc.extensionUtils.getCurrentExtension();

const {GestureExtension} = Me.imports.src.gestures;
const {AltTabGestureExtension} = Me.imports.src.altTab;

class Extension {
	constructor() {
        this._gestures = new GestureExtension();
		this._altTabGesture = new AltTabGestureExtension();
	}

	enable() {
        this._gestures.enable();
		this._altTabGesture.enable();
	}

	disable() {
        this._gestures.disable();
		this._altTabGesture.disable();
	}
};

function init() {
	return new Extension();
}
